# App Page List

## 1. Purpose

This is a living document which enumerates the app pages that need to be designed. Pages in this list may be added, removed, or changed depending on business needs and technical or design constraints discovered later in development.

## 2. Document Conventions

The following terms are used to describe specific users of the application:

* Unauthenticated (not logged in) users are known as `visitors`.
* Authenticated (logged in) users are known as `peers`.

The following terms are used to describe levels of user entitlement within the application:

* A `browser` is view only (except for account creation and logging in) and used for visitors.
* An `enjoyer` can interact with the market, including buying and optionally re-selling NFTs, but can’t make new NFTs.
* A `tenant` can create NFTs and sell them in addition to what the enjoyer can do.
* A `client` is an administrator level user with all entitlements.

The term `object(s)` refers to one of several concepts within the app: Peer Profiles, Galleries, Collections, NFTs, and Transactions.

## 3. App Pages List

<table><thead><tr><th width="150" data-type="number">No.</th><th>Page Name</th><th>Short Description</th></tr></thead><tbody><tr><td>1</td><td>App Home Page</td><td>The initial app page at the root domain.</td></tr><tr><td>2</td><td>User Profile</td><td>The currently logged in user’s dashboard.</td></tr><tr><td>3</td><td>Advanced Search</td><td>The advanced search functions and search results.</td></tr><tr><td>4</td><td>Support Page</td><td>Hosts help docs and the support ticket functions.</td></tr><tr><td>5</td><td>Create New Account</td><td>Account creation form.</td></tr><tr><td>6</td><td>Marketplace Category Page</td><td>Used to browse a list of objects within a given category.</td></tr><tr><td>7</td><td>Browse Objects</td><td>Used to browse a list of objects.</td></tr><tr><td>8</td><td>Detailed View: Peer Profile</td><td>A detailed view of another user’s profile.</td></tr><tr><td>9</td><td>Detailed View: Gallery</td><td>A detailed view of a gallery.</td></tr><tr><td>10</td><td>Detailed View: Collection</td><td>A detailed view of a collection.</td></tr><tr><td>11</td><td>Detailed View: NFT</td><td>A detailed view of an NFT.</td></tr><tr><td>12</td><td>Detailed View: Transaction</td><td>A detailed view of a transaction.</td></tr><tr><td>13</td><td>Create New: Gallery</td><td>Form to create a new gallery.</td></tr><tr><td>14</td><td>Create New: Collection</td><td>Form to create a new collection.</td></tr><tr><td>15</td><td>Create New: NFT</td><td>Form to create a new NFT.</td></tr><tr><td>16</td><td>Edit: Gallery</td><td>Form to edit an existing gallery.</td></tr><tr><td>17</td><td>Edit: Collection</td><td>Form to edit an existing collection.</td></tr><tr><td>18</td><td>Edit: NFT</td><td>Form to edit an existing NFT.</td></tr><tr><td>19</td><td>Application for Tenancy</td><td>Form used by peers to request tenancy level entitlements.</td></tr><tr><td>20</td><td>Admin Dashboard</td><td>The “home page” for the admin back-end.</td></tr><tr><td>21</td><td>Admin: App Configuration</td><td>Config settings page for the NFT Store.</td></tr><tr><td>22</td><td>Admin: App Management</td><td>Used for daily admin operations of the NFT Store.</td></tr><tr><td>23</td><td>Admin: App Reporting</td><td>Used by admins to generate reports.</td></tr><tr><td>24</td><td>Admin: Regulatory Compliance</td><td>Used by admins to manage regulatory compliance activities.</td></tr><tr><td>25</td><td>Document View</td><td>A simple page used to view static content, like the privacy policy.</td></tr></tbody></table>
